<?php
/**
 * Options au chargement du plugin Biodiv
 *
 * @plugin     Biodiv
 * @copyright  2020
 * @author     Renaud LAURETTE
 * @licence    GNU/GPL
 * @package    SPIP\Biodiv\Options
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/*
 * Un fichier d'options permet de définir des éléments
 * systématiquement chargés à chaque hit sur SPIP.
 *
 * Il vaut donc mieux limiter au maximum son usage
 * tout comme son volume !
 * 
 */

 	// le repertoire des images
	define("_DIR_BIODIV_IMG_PACK", _DIR_PLUGIN_BIODIV."img_pack/");
	// le repertoire prive
	define("_DIR_BIODIV_PRIVE", _DIR_PLUGIN_BIODIV."prive/");
	// le répertoire des squelettes
	define ("_DIR_BIODIV_SQUELETTES", _DIR_PLUGIN_BIODIV."squelettes/");
	// le répertoire de la bibliothèque LEAFLET
	define("_DIR_LIB_LEAFLET", 'lib/leaflet/');  
	
	// Gestion de certains fichiers temporaires
	define("_DIR_BIODIV_TMP_LIEUX", _DIR_TMP."lieux/");  
	
/* completer l'acces aux squelettes et formulaires */
$GLOBALS['dossier_squelettes'] .= ":" . _DIR_BIODIV_SQUELETTES;

?>